### Type parameters

- #### TSource: WithFaceLandmarks<WithFaceDetection<{}>>

### Hierarchy

- ComputeFaceDescriptorsTaskBase<WithFaceDescriptor<TSource>[], TSource[]>
  - ComputeAllFaceDescriptorsTask

## Index

### Constructors

- constructor

### Methods

- run
- then
- withAgeAndGender
- withFaceExpressions

## Constructors

### constructor

- new ComputeAllFaceDescriptorsTask<TSource>(parentTask: ComposableTask<TSource[]> | Promise<TSource[]>, input: any): ComputeAllFaceDescriptorsTask<TSource>

- Inherited from ComputeFaceDescriptorsTaskBase.constructor

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:12

  #### Type parameters

  - #### TSource: WithFaceLandmarks<{ detection: FaceDetection }, FaceLandmarks68>

  #### Parameters

  - ##### parentTask: ComposableTask<TSource[]> | Promise<TSource[]>

  - ##### input: any

  #### Returns ComputeAllFaceDescriptorsTask<TSource>

## Methods

### run

- run(): Promise<WithFaceDescriptor<TSource>[]>

- Overrides ComputeFaceDescriptorsTaskBase.run

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:24

  #### Returns Promise<WithFaceDescriptor<TSource>[]>

### then

- then(onfulfilled: (value: WithFaceDescriptor<TSource>[]) => WithFaceDescriptor<TSource>[] | PromiseLike<WithFaceDescriptor<TSource>[]>): Promise<WithFaceDescriptor<TSource>[]>

- Inherited from ComputeFaceDescriptorsTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

  #### Parameters

  - ##### onfulfilled: (value: WithFaceDescriptor<TSource>[]) => WithFaceDescriptor<TSource>[] | PromiseLike<WithFaceDescriptor<TSource>[]>

    - - (value: WithFaceDescriptor<TSource>[]): WithFaceDescriptor<TSource>[] | PromiseLike<WithFaceDescriptor<TSource>[]>

      - #### Parameters

        - ##### value: WithFaceDescriptor<TSource>[]

        #### Returns WithFaceDescriptor<TSource>[] | PromiseLike<WithFaceDescriptor<TSource>[]>

  #### Returns Promise<WithFaceDescriptor<TSource>[]>

### withAgeAndGender

- withAgeAndGender(): PredictAllAgeAndGenderWithFaceAlignmentTask<WithFaceDescriptor<TSource>>

- - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:40

  #### Returns PredictAllAgeAndGenderWithFaceAlignmentTask<WithFaceDescriptor<TSource>>

### withFaceExpressions

- withFaceExpressions(): PredictAllFaceExpressionsWithFaceAlignmentTask<WithFaceDescriptor<TSource>>

- - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:36

  #### Returns PredictAllFaceExpressionsWithFaceAlignmentTask<WithFaceDescriptor<TSource>>